# Generated from rabbit-slide-kou-groonga-seminar-2017-08-2017.8.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rabbit-slide-kou-groonga-seminar-2017-08

Name: rubygem-%{gem_name}
Version: 2017.8.1.0
Release: 1%{?dist}
Summary: MySQL・PostgreSQL上で動かす全文検索エンジン「Groonga」セミナー
License: CC BY-SA 4.0
URL: http://slide.rabbit-shocker.org/authors/kou/groonga-seminar-2017-08/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
MySQL・MariaDB・PostgreSQLを使ってリッチな全文検索システムを実装する方法を紹介します。
リッチな全文検索システムとは、単に全文検索できるだけではありません。全文検索できることはもちろん、クリックによる絞り込みや入力補完・関連エントリーの提示など、ユーザーが目的の情報をより簡単に見つけられるようにする機能があります。
全文検索エンジンGroongaをMySQL・MariaDB・PostgreSQLに組み込むことでSQLを使ってそんなリッチな全文検索システムを実装できます。.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.rabbit
%{gem_instdir}/config.yaml
%{gem_instdir}/images
%{gem_instdir}/mroonga-and-pgroonga.rab
%{gem_instdir}/pdf
%{gem_instdir}/theme.rb
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.rd
%{gem_instdir}/Rakefile

%changelog
* Wed Apr 20 2022 mockbuilder - 2017.8.1.0-1
- Initial package
